<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>

<h1>User Registration</h1>
<form action="/register" method="post" th:object="${user}">
    <label>Full name:</label>
    <input type="text" th:field="*{name}" value="Ugos"/><br/>

    <label>E-mail:</label>
    <input type="text" th:field="*{email}" value="vioa@gmail.com"/><br/>

    <label>Password:</label>
    <input type="password" th:field="*{password}" value="123"/><br/>

    <label>Birthday (yyyy-mm-dd):</label>
    <input type="text" th:field="*{birthday}" value="1997-01-01"/><br/>

    <label>Gender:</label>
    <input type="radio" th:field="*{gender}" value="Male" />Male
    <input type="radio" th:field="*{gender}" value="Female" />Female<br/>

    <label>Profession:</label>
    <select th:field="*{profession}">
        <option th:each="p : ${listProfession}" th:value="${p}" th:text="${p}" />
    </select>
    <br/>

    <label>Married?</label>
    <input type="checkbox" th:field="*{married}" /><br/>

    <label>Note:</label>
    <textarea rows="5" cols="25" th:field="*{note}">sadasdas</textarea>
    <br/>

    <button type="submit">Register</button>
</form>

</body>
</html>